%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  dfmta
%global packver   1.7-6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.7.6
Release:          1%{?dist}%{?buildtag}
Summary:          Phase I/II Adaptive Dose-Finding Design for MTA

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.4.0
Requires:         R-core >= 3.4.0
BuildRequires:    R-CRAN-BH >= 1.55
BuildRequires:    R-CRAN-RcppArmadillo >= 0.7.100.3.1
BuildRequires:    R-CRAN-RcppProgress >= 0.2.1
BuildRequires:    R-CRAN-Rcpp 

%description
Phase I/II adaptive dose-finding design for single-agent Molecularly
Targeted Agent (MTA), according to the paper "Phase I/II Dose-Finding
Design for Molecularly Targeted Agent: Plateau Determination using
Adaptive Randomization", Riviere Marie-Karelle et al. (2016)
<doi:10.1177/0962280216631763>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
